//uart0.h





//UART0Jn
#define UART0_Start \
	SO0 |= _0001_SAU_CH0_DATA_OUTPUT_1;\
	SOE0 |= _0001_SAU_CH0_OUTPUT_ENABLE;\
	SS0 |= _0002_SAU_CH1_START_TRG_ON | _0001_SAU_CH0_START_TRG_ON;\
	STIF0 = 0U;\
	SRIF0 = 0U;\
	SREIF0 = 0U;\
	STMK0 = 0U;\
	SRMK0 = 0U;\
	SREMK0 = 0U;









//UART0~
#define UART0_Stop \
	STMK0 = 1U;\
	SRMK0 = 1U;\
	SREMK0 = 1U;\
	ST0 |= _0002_SAU_CH1_STOP_TRG_ON | _0001_SAU_CH0_STOP_TRG_ON;\
	SOE0 &= ~_0001_SAU_CH0_OUTPUT_ENABLE;\
	STIF0 = 0U;\
	SRIF0 = 0U;\
	SREIF0 = 0U;


int putchar(int c);
int getchar(void);










#define 	CMD_OK 										0
#define		CMD_Invalid_Value_Parameter		1	
#define		CMD_Error									2
#define		CMD_Already_Run						3



#define		CMD_NULSTR								-1




typedef struct CMDB {
	char cmd[3];							//R}hg[N
	int (*proc)(char *param);	//sW[
} CMDB;









void uart0_main(void);
















