//uart0.c
//RS232C






/*

	SAU0EN = 1U;    // supply SAU0 clock  
	NOP();
	NOP();
	NOP();
	NOP();
	SPS0 = _0004_SAU_CK00_FCLK_4 | _0040_SAU_CK01_FCLK_4;

	//UART0(RS232C)
	ST0 |= _0002_SAU_CH1_STOP_TRG_ON | _0001_SAU_CH0_STOP_TRG_ON;    // disable UART0 receive and transmit  
	STMK0 = 1U;    // disable INTST0 interrupt  
	STIF0 = 0U;    // clear INTST0 interrupt flag  
	SRMK0 = 1U;    // disable INTSR0 interrupt  
	SRIF0 = 0U;    // clear INTSR0 interrupt flag  
	SREMK0 = 1U;   // disable INTSRE0 interrupt  
	SREIF0 = 0U;   // clear INTSRE0 interrupt flag  
	// Set INTST0 low priority  
	STPR10 = 1U;
	STPR00 = 1U;
	// Set INTSR0 low priority  
	SRPR10 = 1U;
	SRPR00 = 1U;
	SMR00 = _0020_SAU_SMRMN_INITIALVALUE | _0000_SAU_CLOCK_SELECT_CK00 | _0000_SAU_TRIGGER_SOFTWARE | 
		_0002_SAU_MODE_UART | _0000_SAU_TRANSFER_END;
	SCR00 = _8000_SAU_TRANSMISSION | _0000_SAU_INTSRE_MASK | _0200_SAU_PARITY_EVEN | _0080_SAU_LSB | 
		_0010_SAU_STOP_1 | _0007_SAU_LENGTH_8;
	SDR00 = _CE00_UART0_TRANSMIT_DIVISOR;
	NFEN0 |= _01_SAU_RXD0_FILTER_ON;
	SIR01 = _0004_SAU_SIRMN_FECTMN | _0002_SAU_SIRMN_PECTMN | _0001_SAU_SIRMN_OVCTMN;    // clear error flag  
	SMR01 = _0020_SAU_SMRMN_INITIALVALUE | _0000_SAU_CLOCK_SELECT_CK00 | _0100_SAU_TRIGGER_RXD | _0000_SAU_EDGE_FALL | 
		_0002_SAU_MODE_UART | _0000_SAU_TRANSFER_END;
	SCR01 = _4000_SAU_RECEPTION | _0400_SAU_INTSRE_ENABLE | _0200_SAU_PARITY_EVEN | _0080_SAU_LSB | _0010_SAU_STOP_1 | 
		_0007_SAU_LENGTH_8;
	SDR01 = _CE00_UART0_RECEIVE_DIVISOR;
	SO0 |= _0001_SAU_CH0_DATA_OUTPUT_1;
	SOL0 |= _0000_SAU_CHANNEL0_NORMAL;    // output level normal  
	SOE0 |= _0001_SAU_CH0_OUTPUT_ENABLE;    // enable UART0 output  
	// Set RxD0 pin  
	PMC1 &= 0xFDU;
	PM1 |= 0x02U;
	// Set TxD0 pin  
	PMC1 &= 0xFBU;
	P1 |= 0x04U;
	PM1 &= 0xFBU;


*/














///////////////////////////////////////////////////////////////////////
//putchar(ꕶ𑗐M)
///////////////////////////////////////////////////////////////////////
char uart0_interrupt_send_flg=0;
__interrupt static void uart0_interrupt_send(void)
{
	uart0_interrupt_send_flg=0;
}
int putchar(int c)
{
	while(uart0_interrupt_send_flg){}
	uart0_interrupt_send_flg=1;
	STMK0=1U;
	TXD0=(uint8_t)c;
	STMK0=0U;
	return 0;
}
///////////////////////////////////////////////////////////////////////
//putchar(ꕶ𑗐M)
///////////////////////////////////////////////////////////////////////





///////////////////////////////////////////////////////////////////////
//getchar
///////////////////////////////////////////////////////////////////////
int getchar(void)
{
	return 0;
}
///////////////////////////////////////////////////////////////////////
//getchar
///////////////////////////////////////////////////////////////////////







///////////////////////////////////////////////////////////////////////
//uart0_interrupt_error݃nh
///////////////////////////////////////////////////////////////////////
__interrupt static void uart0_interrupt_error(void)
{
	volatile uint8_t err_type;
	(void)RXD0;
	err_type=(uint8_t)(SSR01 & 0x0007U);
	SIR01=(uint16_t)err_type;
	//G[
}
///////////////////////////////////////////////////////////////////////
//uart0_interrupt_error݃nh
///////////////////////////////////////////////////////////////////////









///////////////////////////////////////////////////////////////////////
//uart0_interrupt_receive݃nh
///////////////////////////////////////////////////////////////////////
char cmd_buf[8]={0,0,0,0,0,0};
char cmd_index=0;
char cmd_flg=0;
__interrupt static void uart0_interrupt_receive(void)
{
	cmd_buf[cmd_index]=RXD0;
	if((cmd_index >0)&&(cmd_buf[cmd_index]==8)){
		cmd_buf[cmd_index]=0;
		cmd_index--;
	}else{
		putchar(cmd_buf[cmd_index]);
		if(cmd_buf[cmd_index]=='\r'){
			cmd_flg=1;
		}
		if(cmd_index <8){
			cmd_index++;
		}
	}
}
///////////////////////////////////////////////////////////////////////
//uart0_interrupt_receive݃nh
///////////////////////////////////////////////////////////////////////










///////////////////////////////////////////////////////////////////////
//fobNeXgp
///////////////////////////////////////////////////////////////////////
int cmd_test(char *str)
{
	printf("cmd_test\r");
	return CMD_OK;
}

int cmd_test2(char *str)
{
	printf("cmd_test2\r"); 
	return CMD_OK;
}
///////////////////////////////////////////////////////////////////////
//fobNeXgp
///////////////////////////////////////////////////////////////////////











///////////////////////////////////////////////////////////////////////
//R}h̓R[obN
///////////////////////////////////////////////////////////////////////
const CMDB cmdb[]={
{"t"		,cmd_test		},
{"t2"	,cmd_test2	},
};
void uart0_main(void)
{
	char i;
	int r;
	char *cmdl,*param;
	if(cmd_flg){
		cmd_flg=0;
		cmdl=strtok(cmd_buf," \r\n\t");
		param=strtok(NULL,"\r\n\t");
		for(i=0; i < sizeof(cmdb)/sizeof(CMDB); i++){
			if(strcmp(cmdl,cmdb[i].cmd)==0){
				putchar('\r');
				r=cmdb[i].proc((char *)param);
				switch(r){
				case CMD_OK:										printf("Ok.\r");break;
				case CMD_Invalid_Value_Parameter:	printf("Invalid_Value_Parameter!\r");break;
				case CMD_Error:								printf("CMD_Error!\r");break;
				case CMD_Already_Run:						printf("Already_Run!\r");break;
				}
				memset(cmd_buf,0,sizeof(cmd_buf));
				cmd_index=0;
				return;
			}
		}
		memset(cmd_buf,0,sizeof(cmd_buf));
		cmd_index=0;
		//Xgɂ͂Ȃ
		beep(400,200);
		printf("Error!\r");
	}
}
///////////////////////////////////////////////////////////////////////
//R}h̓R[obN
///////////////////////////////////////////////////////////////////////

























